2021-09-18 00:31 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003585Intact[All Projects] Generalpublic2020-04-17 20:36
Reporterretrogamer 
Assigned ToCFOUProject InfoIntact (Sphinx Software/Grandslam)
http://www.whdload.de/games/Intact.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0003585: "Illegal Instruction" message after the intro it happen on both slaves ALT keys
DescriptionGameVersion: english,pal,2 disks
SlaveVersion: 1.0 from 20.05.2005

"Illegal Instruction" message after the intro it happen on both slaves
ALT keys need to be remapped to 2nd button for using smart bombs.
Quitkey for 68000 is not working.
I can provide you with whd_register file.
TagsNo tags attached.
MachineA1200
CPU68020
CPUSpeed7
ChipSetOCS
GFXCardNone
ChipMem2 MB
FastMem8 MB
WorkbenchOS 2.1
KickROM37 - Kick 2.0
KickSoftNone
WHDLoad18.2
importedyes
Attached Files
  • ? file icon .whdl_registerintact1.5 (3,390 bytes) 2016-12-12 20:11
  • ? file icon .whdl_register (3,653 bytes) 2020-04-17 02:25 -
    ************************* 26-Dec-15 16:07:36 ************************18.5.5948***
    Slave='Intact0.5mo.Slave' (4312 bytes)
    Resload     358D18 -   35F37C (  26212) at 358D18  GL=$361C98
    Slave       360BD8 -   361C8C (   4276) at 360BD8  BaseMemSize=$80000
    ExpMem      3B6000 -   406000 ( 327680) at 3B6000
    attn=200(UAE,00) fc=-1 kn=0 cs=19C8 rw=1 zpt=-1 ep=0 ei=0
    setcpu=0(SNCS,ENCS,BNCS)
    
    Exception "Illegal Instruction" ($E010) at $81F46 (Task 'Initial CLI') occured.
    
    $00081f0e move.l       ($2a2a,a2),d5                  ;$0002e732
    $00081f12 move.l       ($2a2a,a2),d5                  ;$0002e732
    $00081f16 move.l       ($2a2a,a2),d5                  ;$0002e732
    $00081f1a move.l       ($2a2a,a2),d5                  ;$0002e732
    $00081f1e move.l       ($2a2a,a2),d5                  ;$0002e732
    $00081f22 move.l       ($2a2a,a2),d5                  ;$0002e732
    $00081f26 move.l       ($2a2a,a2),d5                  ;$0002e732
    $00081f2a move.l       ($2a2a,a2),d5                  ;$0002e732
    $00081f2e move.l       ($2a2a,a2),d5                  ;$0002e732
    $00081f32 move.l       ($2a2a,a2),d5                  ;$0002e732
    $00081f36 move.l       ($2a2a,a2),d5                  ;$0002e732
    $00081f3a move.l       ($2a2a,a2),d5                  ;$0002e732
    $00081f3e move.l       ($2a2a,a2),d5                  ;$0002e732
    $00081f42 move.l       ($2a2a,a2),d5                  ;$0002e732
    1m$00081f46 move.l       ($2a2a,a2),d5                  ;$0002e732
    22m$00081f4a move.l       ($2a2a,a2),d5                  ;$0002e732
    $00081f4e move.l       ($2a2a,a2),d5                  ;$0002e732
    $00081f52 move.l       ($2a2a,a2),d5                  ;$0002e732
    $00081f56 move.l       ($2a2a,a2),d5                  ;$0002e732
    $00081f5a move.l       ($2a2a,a2),d5                  ;$0002e732
    $00081f5e move.l       ($2a2a,a2),d5                  ;$0002e732
    $00081f62 move.l       ($2a2a,a2),d5                  ;$0002e732
    $00081f66 move.l       ($2a2a,a2),d5                  ;$0002e732
    $00081f6a move.l       ($2a2a,a2),d5                  ;$0002e732
    $00081f6e move.l       ($2a2a,a2),d5                  ;$0002e732
    $00081f72 move.l       ($2a2a,a2),d5                  ;$0002e732
    $00081f76 move.l       ($2a2a,a2),d5                  ;$0002e732
    $00081f7a move.l       ($2a2a,a2),d5                  ;$0002e732
    $00081f7e move.l       ($2a2a,a2),d5                  ;$0002e732
    
    exception stackframe:
    $00405FF4 23080008 1F46
    regular stack:
    $00405FFA 00000005 BEC6
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx      7E7    3F0077        77       FA8         1        3E     F4509         0
    Ax   DFF000    DFF1C0     2BD08    3FE3A6     112A8    3FE35E    3FAC70
    
                     TTSM III   XNZVC
    PC=   81F4622m  SR %0010001100001000  USP=3FE32E  1mSSP=405FF4
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%010000000010100022m dmacon=%1m0010011001111111 adkcon=$1500
    intreq=%0000011111000100
    vposr....A000  vhposr...04BC  joy0dat..F4F5  joy1dat..0000  clxdat...FFFE  
    pot0dat..3200  pot1dat..0000  potinp...5500  serdatr..3000  dskbytr..C000  
    deniseid.FFFC  hhposr...0006  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=0000000022m  ta=21FF<21FF	   cra=1m00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=0000100022m  tb=244E<244E	   crb=1m10000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=0110001022m  prb=1m1111111122m      pra=1m1100011122m  prb=1m01110111
           ddra=0000001122m ddrb=1m0000000022m     ddra=1m1100000022m ddrb=1m11111111
           event=000A91  icr=00  sdr=74    event=09F1A9  icr=00  sdr=00
    
    ? file icon .whdl_register (3,653 bytes) 2020-04-17 02:25 +
  • ? file icon intact-beta7.lha (19,119 bytes) 2020-04-17 19:57

-Relationships
+Relationships

-Notes

note ~0005365

retrogamer (reporter)

Register file attached.

note ~0007991

CFOU (developer)

to verify and fix

note ~0008214

CFOU (developer)

can you test attached beta patch?

plaaned try to use fast memory instead of chip for extended memory

but 512ko patch must work with amiga with only 512ko of chip now

note ~0008217

retrogamer (reporter)

"Illegal Instruction" message still remains new .whdload_register attached.

note ~0008220

CFOU (developer)

really curious i can reproduct it on all my real configuration and winuae.

have you try with NOCACHE tooltype?

note ~0008221

CFOU (developer)

Can you try last beta 2?
only 512 ko of chip
extra memory in fast memory now

https://wetransfer.com/downloads/7ac99bae849e744f92ec9306d2f86d1020200417031254/303f1a29e6a72e4e3a9836a2be361c8220200417031319/96c990

note ~0008224

CFOU (developer)

can you try attached beta 4?

All interupt code fixed (missing lea $dff000,a0)
=>randow crash exiting game or during OS swap

note ~0008237

retrogamer (reporter)

Illegal Instruction" message still remains for beta slave 4.

note ~0008239

CFOU (developer)

i can not understand works perfectly on several winuae configurations

more oer on my real a1200 +020 (without blizzard) and with my both amiga with blizzard 060 & 030 it's works fine i try 3 first level3

attached last beta 5 with trainer + second button support for both players

what is your memory configuration (with start adresses)

can you verify the slave? bug report file is not with last slave (name are changed)

note ~0008243

retrogamer (reporter)

I run in Winuae with A600 config.

With slave beta 5 I get "not enough memory" message with 1 mb chip 8 mb fastram config,

With 2 mb chip config it works.

note ~0008245

CFOU (developer)

attached beta 7

with beta 7 all interupt codes are fixed:
- lea dff000,a0 inserted
- Movem.l xx/a0,-(a7) & Movem.l (a7)+,xx/a0 inserted

@retroplay
it's not normal
intact-nofast need 512ko of chip and 2.5Mo of fast for preload
intact.slave need 512ko of chip and 3Mo of fast for preload
intact-1MoFast.slave need 512ko of chip and 3.5Mo of fast for preload

try to put disk.1 in data/ folder with preload if not all data in slave folder are preloaded and you need more memory....
=>you need of course add tooltype data=data in launch icon!

note ~0008250

retrogamer (reporter)

I have tested with new beta 7 slave and now it works with no issues.

note ~0008252

CFOU (developer)

great ;)

it's nightmare interupt code the problem;)

curiously no problem with all my config !!
+Notes

-Issue History
Date Modified Username Field Change
2016-12-12 19:55 administrator New Issue
2016-12-12 19:55 administrator Status new => assigned
2016-12-12 19:55 administrator Assigned To => CFOU
2016-12-12 20:11 retrogamer File Added: .whdl_registerintact1.5
2016-12-12 20:12 retrogamer Note Added: 0005365
2020-03-30 03:25 CFOU Note Added: 0007991
2020-04-17 01:34 CFOU File Added: intact-beta.lha
2020-04-17 01:34 CFOU Note Added: 0008214
2020-04-17 02:25 retrogamer File Added: .whdl_register
2020-04-17 02:25 retrogamer Note Added: 0008217
2020-04-17 04:55 CFOU Note Added: 0008220
2020-04-17 05:15 CFOU Note Added: 0008221
2020-04-17 06:12 CFOU File Added: IntactBeta4.lha
2020-04-17 06:12 CFOU Note Added: 0008224
2020-04-17 06:12 CFOU File Deleted: intact-beta.lha
2020-04-17 18:10 retrogamer Note Added: 0008237
2020-04-17 18:58 CFOU File Added: Intact-beta5.lha
2020-04-17 18:58 CFOU Note Added: 0008239
2020-04-17 19:46 retrogamer Note Added: 0008243
2020-04-17 19:57 CFOU File Added: intact-beta7.lha
2020-04-17 19:57 CFOU Note Added: 0008245
2020-04-17 19:57 CFOU File Deleted: IntactBeta4.lha
2020-04-17 19:57 CFOU File Deleted: Intact-beta5.lha
2020-04-17 20:16 retrogamer Note Added: 0008250
2020-04-17 20:36 CFOU Status assigned => closed
2020-04-17 20:36 CFOU Resolution open => fixed
2020-04-17 20:36 CFOU Note Added: 0008252
+Issue History